body {
    background-image: linear-gradient(316deg, rgba(159, 34, 65, 1), rgba(204, 23, 68, 1)), url(https://tizayuca.gob.mx/img/back.jpg);
    background-blend-mode: multiply;
    background-size: cover;
    perspective: 2000px;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
}

* {
    font-family: 'Montserrat';
}

.mega-card .animatecircle {
    width: 300px;
    height: 500px;
    background: url(/assets/circle.png);
    display: -ms-flexbox;
    display: flex;
    position: absolute;
    top: 20%;
    right: 0;
    opacity: .7;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: left;
    animation: pulse;
    -webkit-animation: pulse;
    animation-iteration-count: infinite;
    animation-duration: 3s;
}

.navbar {
    margin-top: 1.2rem;
}

.navbar img {
    width: 120px;
}

.navbar ul {
    padding: 0;
    width: 80%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

span.button-download {
    border: 2px solid #9f2241;
    border-radius: 30px;
    padding: 10px 30px;
    margin-left: 45px;
    font-size: 13px;
    font-weight: 600;
    color: #9f2241!important;
    transition: .2s ease;
    -webkit-transition: .2s ease;
    -moz-transition: .2s ease;
    -ms-transition: .2s ease;
    -o-transition: .2s ease;
    cursor: pointer;
    background: #ffffff7a;
}

span.button-download:hover {
    border: 2px solid #9f2241;
    border-radius: 30px;
    background-color: #9f2241;
    padding: 10px 30px;
    margin-left: 45px;
    font-size: 13px;
    font-weight: 600;
    color: white!important;
    -webkit-border-radius: 30px;
    -moz-border-radius: 30px;
    -ms-border-radius: 30px;
    -o-border-radius: 30px;
}

.navbar span {
    font-size: 13px;
    font-weight: 600;
    color: #565656;
    cursor: pointer;
}

.content-first {
    width: 80%;
    margin: 0 auto;
    height: 50%;
    display: flex;
}

.content-first {
    height: calc(100% - 4rem);
    display: flex;
    align-items: center;
    width: 80%;
    font-family: 'Comfortaa', cursive;
    color: #565656;
}

.content-first p {
    font-size: .9rem;
    width: 60%;
    line-height: 1.2;
}

.left {
    width: 60%;
    font-family: 'Comfortaa', cursive;
}

.left h2 {
    font-weight: 700;
}

.right img {
    transform: scale(1.7);
    z-index: 99;
    position: relative;
    right: 100px;
    -webkit-transform: scale(1.7);
    -moz-transform: scale(1.7);
    -ms-transform: scale(1.7);
    -o-transform: scale(1.7);
}

.right {
    width: 40%;
    font-family: 'Comfortaa', cursive;
}

section.mega-card {
    height: calc(100% - 6rem);
    background: white;
    display: block;
    position: fixed;
    width: calc(100% - 10rem);
    margin: 2rem 5rem;
    border-radius: 15px;
    padding: 3rem;
    box-shadow: 15px 15px 0px 0px #00000036;
}

.nombre-tram {
    font-size: 12px;
    line-height: 1.2;
    width: 100%;
}

tr.separatorA:nth-child(even) {
    background-color: #dbdbdb !important;
}

tr.separatorA {
    padding: 10px;
    display: block;
    font-weight: 700;
    line-height: 1.1;
    font-size: .8rem;
    width: 100%;
    margin: 0 auto;
    background: #dbdbdb;
}

tr.item-sel {
    width: 100%;
    display: flex;
}

tr.item-sel a {
    width: 100%;
}

tr a {
    text-decoration: none;
}

span.tag.is-light {
    font-size: 11px;
}

span.tag.dorado {
    background-color: #bc955c;
    font-size: 11px;
}

span.tag.guinda {
    background-color: #9f2241;
    color: white;
    font-size: 11px;
}

li.is-active a {
    color: white !important;
}

@keyframes pulse {
    0% {
        opacity: .7;
    }
    50% {
        opacity: .4;
    }
    100% {
        opacity: .7;
    }
}

.footerbottom {
    position: absolute;
    width: 100%;
    bottom: 0;
    left: 0;
    text-align: center;
    margin-top: 1rem;
}

.footerbottom p {
    color: #9f2141;
    font-size: 14px;
    font-family: 'Comfortaa';
    letter-spacing: 1px;
    font-weight: 900;
}

.hidden {
    display: none;
}

@media screen and (max-width: 1100px) {
    .navbar ul {
        width: 90%;
    }
    .content-first {
        width: 90%;
    }
    .right img {
        transform: scale(1.4);
        -webkit-transform: scale(1.4);
        -moz-transform: scale(1.4);
        -ms-transform: scale(1.4);
        -o-transform: scale(1.4);
    }
}

@media screen and (max-width: 770px) {
    section.mega-card {
        height: calc(100% - 4rem);
        width: calc(100% - 5rem);
        margin: 2rem 2.5rem;
        border-radius: 15px;
        padding: 2rem;
        box-shadow: 15px 15px 0px 0px #00000036;
        overflow-y: scroll;
    }
    .content-first {
        flex-direction: column-reverse;
        height: auto;
    }
    .right img {
        transform: scale(1.7);
        -webkit-transform: scale(1.7);
        -moz-transform: scale(1.7);
        -ms-transform: scale(1.7);
        -o-transform: scale(1.7);
    }
    .mega-card .animatecircle {
        width: 70px;
    }
    .left {
        width: 100%;
        display: flex;
        flex-direction: column;
    }
    .right {
        width: 100%;
        margin-top: 1rem;
    }
    .right img {
        right: 0;
        width: 80%;
        margin: 0 auto;
        transform: none;
        display: block;
    }
    .left h2 {
        margin-top: 1rem;
        text-align: center;
        width: 90%;
        margin: 1rem auto;
        line-height: 1;
    }
    .content-first p {
        font-size: 1rem;
        width: 90%;
        line-height: 1.2;
        text-align: center;
        margin: 0 auto;
        margin-top: -1rem;
        margin-bottom: 1rem;
    }
    .left span.button-download {
        align-self: center;
    }
}

@media screen and (max-width: 500px) {
    section.mega-card {
        padding: 1rem;
    }
    .mega-card .animatecircle {
        width: 30px;
    }
    .navbar ul {
        flex-direction: column;
    }
    .navbar .button-download {
        display: none;
    }
    .navbar span {
        margin-top: 1rem;
        display: block;
        text-transform: uppercase;
        text-decoration: underline;
    }
    .navbar span:before {
        content: ' volver al ';
    }
    .content-first p {
        font-size: .9rem;
        font-weight: 500;
        color: #4d4d4d;
        width: 90%;
        line-height: 1.1;
    }
}

span.school {
    background: #9f2241;
    color: white;
    padding: 0.2rem 0.4rem;
    border-radius: 5px;
}

.book {
    width: 80%;
    height: 60%;
    display: flex;
    perspective: 1500px;
}

.page {
    width: 50%;
    height: 100%;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
    transform-style: preserve-3d;
    backface-visibility: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.page-left {
    transform: rotateY(0deg);
    transform-origin: right center;
}

.page-right {
    transform: rotateY(-180deg);
    transform-origin: left center;
}

.content {
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: white;
    box-sizing: border-box;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.content img {
    max-width: 100%;
    max-height: 100%;
}

.flipbook-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 80vh;
}

.flipbook {
    width: 70%;
    height: 100%;
    display: flex;
    perspective: 1500px;
}

.page {
    width: 50%;
    height: 100%;
    background-color: white;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
    transform-style: preserve-3d;
    backface-visibility: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    box-sizing: border-box;
    padding: 20px;
    border: 1px solid #ccc;
}

.page-left {
    transform: rotateY(0deg);
    transform-origin: right center;
}

.page-right {
    transform: rotateY(-180deg);
    transform-origin: left center;
}

.controls {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

button {
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    background-color: #007bff;
    color: white;
    border: none;
    border-radius: 5px;
    margin: 0 10px;
}

button:hover {
    background-color: #0056b3;
}

.page {
    /* ... Otros estilos ... */
    transition: transform 0.3s cubic-bezier(0.68, -0.55, 0.27, 1.55);
    cursor: grab;
}

.page.grabbing {
    cursor: grabbing;
}

.page-right.grabbing {
    transform: rotateY(-20deg);
    /* Ajustar el ángulo de giro */
    transform-origin: left center;
    z-index: 2;
    transition: transform 0.3s cubic-bezier(0.68, -0.55, 0.27, 1.55);
}

.page-left.grabbing {
    transform: rotateY(20deg);
    /* Ajustar el ángulo de giro */
    transform-origin: right center;
    z-index: 2;
    transition: transform 0.3s cubic-bezier(0.68, -0.55, 0.27, 1.55);
}

.page-content {
    /* Contenido de la página */
    backface-visibility: hidden;
    position: absolute;
    width: 100%;
    height: 100%;
    transform-style: preserve-3d;
    transition: transform 0.3s cubic-bezier(0.68, -0.55, 0.27, 1.55);
}

.page-grabbing .page-content {
    transform: rotateY(180deg);
}